# Struct SpamVerdict | EchoHub Documentation

# Struct SpamVerdict

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

    public readonly struct SpamVerdict : IEquatable<SpamVerdict>

Implements
  IEquatable<SpamVerdict>

Inherited Members
  object.GetType()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### SpamVerdict(SpamVerdictKind, string?, TimeSpan)

    public SpamVerdict(SpamVerdictKind Kind, string? Reason = null, TimeSpan MuteDuration = default)

#### Parameters

`Kind` SpamVerdictKind
`Reason` string
`MuteDuration` TimeSpan

## Fields

### Allowed

    public static readonly SpamVerdict Allowed

#### Field Value

SpamVerdict

## Properties

### Kind

    public SpamVerdictKind Kind { get; init; }

#### Property Value

SpamVerdictKind

### MuteDuration

    public TimeSpan MuteDuration { get; init; }

#### Property Value

TimeSpan

### Reason

    public string? Reason { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out SpamVerdictKind, out string?, out TimeSpan)

    public void Deconstruct(out SpamVerdictKind Kind, out string? Reason, out TimeSpan MuteDuration)

#### Parameters

`Kind` SpamVerdictKind
`Reason` string
`MuteDuration` TimeSpan

### Equals(SpamVerdict)

    public bool Equals(SpamVerdict other)

#### Parameters

`other` SpamVerdict

#### Returns

bool

### Equals(object)

    public override bool Equals(object obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(SpamVerdict, SpamVerdict)

    public static bool operator ==(SpamVerdict left, SpamVerdict right)

#### Parameters

`left` SpamVerdict
`right` SpamVerdict

#### Returns

bool

### operator !=(SpamVerdict, SpamVerdict)

    public static bool operator !=(SpamVerdict left, SpamVerdict right)

#### Parameters

`left` SpamVerdict
`right` SpamVerdict

#### Returns

bool